Bug 130394 - in check-files script diff -d is not support on solaris
in check-files script diff -d is not support on solaris
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: Patch
Depends On:
  Show dependency treegraph
Reported: 2004-08-19 18:08 EDT by Mark Hatle
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-20 18:02:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix and optimization to check-files (715 bytes, patch)
2004-08-19 18:25 EDT, Mark Hatle
no flags Details | Diff

  None (edit)
Description Mark Hatle 2004-08-19 18:08:49 EDT
The "-d" option to diff is not supported on solaris, so the
check-files script fails.

In the GNU diff man page it lists "-d" as:

       -d     Change the algorithm to perhaps find a smaller set of
              This makes diff slower (sometimes much slower).

removing the "-d" option should be an appropriate fix.
Comment 1 Mark Hatle 2004-08-19 18:25:44 EDT
Created attachment 102904 [details]
Fix and optimization to check-files

This is a patch talked about with arekm on IRC.  This fixes the problem and
optimizes the behavior slightly.
Comment 2 Jeff Johnson 2006-02-20 18:02:55 EST
Fixed in cvs, should be in rpm-4.4.5-0.14 when built.

Note You need to log in before you can comment on or make changes to this bug.